# 项目相关配置
ruoyi:
  name: 国际大科学计划网站
  version: 3.9.1
  copyrightYear: 2026
  captchaType: math

# 开发环境配置
server:
  servlet:
    context-path: /
  tomcat:
    uri-encoding: UTF-8
    accept-count: 1000
    threads:
      max: 800
      min-spare: 100

# 用户配置
user:
  password:
    maxRetryCount: 5
    lockTime: 10

# Spring配置
spring:
  messages:
    basename: i18n/messages
  profiles:
    active: dev
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 20MB
  devtools:
    restart:
      enabled: false
  jackson:
    parser:
      allow-comments: true
      allow-unquoted-field-names: true
      allow-single-quotes: true

# token配置
token:
  header: Authorization
  secret: abcdefghijklmnopqrstuvwxyz
  expireTime: 30

# MyBatis配置
mybatis:
  typeAliasesPackage: com.ruoyi.**.domain
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# 防止XSS攻击
xss:
  enabled: true
  excludes: /system/notice
  urlPatterns: /system/*,/monitor/*,/tool/*
